Bug 194551 - Review Request: ifd-egate
Review Request: ifd-egate
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On: 193187
Blocks: FC-ACCEPT 195311
  Show dependency treegraph
 
Reported: 2006-06-08 18:58 EDT by Bob Relyea
Modified: 2013-01-09 20:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-17 15:27:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Relyea 2006-06-08 18:58:50 EDT
Spec URL: http://directory.fedora.redhat.com/built/rpm_review/rrelyea/ifd-egate.spec
SRPM URL: http://directory.fedora.redhat.com/built/rpm_review/rrelyea/ifd-egate-0.05-8.src.rpm
Description: Axalto Egate SmartCard device driver for PCSC-lite

This driver is needed for CoolKey and smart card login.
This packaged depends on pcsc-lite Bug 193187 .
Comment 1 Ville Skyttä 2006-06-14 12:31:12 EDT
Lost review comments can be read at
https://www.redhat.com/archives/fedora-package-review/2006-June/thread.html

The latest versions appear to be at:
http://directory.fedora.redhat.com/built/rpm_review/rrelyea/ifd-egate.spec
http://directory.fedora.redhat.com/built/rpm_review/rrelyea/ifd-egate-0.05-9.src.rpm

From quickly skimming the specfile, it looks ok to me.  The pcsc_cflags %define
at the top is no longer needed though.
Comment 2 Bob Relyea 2006-06-14 14:58:50 EDT
Comps:

here's the big picture:
Smart Card Login Packages:

Base:
pam_pkcs11      (default)
coolkey         (default) depends on pcsc-lite-libs ifd-egate
ccid            (default) depends on pcsc-lite
ifd-egate       (default) depends on pcsc-lite
pcsc-lite-libs  (default)
pcsc-lite       (default)

Developement Libraries
pcsc-lite-devel depends on pcsc-lite-libs
coolkey-devel   depends on coolkey
Comment 3 Jesse Keating 2006-06-14 15:55:40 EDT
(In reply to comment #2)
> Comps:
> 
> here's the big picture:
> Smart Card Login Packages:
> 
> Base:

I would put these in Core instead.  Base is for the REALLY minimal

> pam_pkcs11      (default)
> coolkey         (default) depends on pcsc-lite-libs ifd-egate
> ccid            (default) depends on pcsc-lite
> ifd-egate       (default) depends on pcsc-lite


> pcsc-lite-libs  (default)
> pcsc-lite       (default)

These would be brought in by the higher level packages, no need to list them.
 
> Developement Libraries
> pcsc-lite-devel depends on pcsc-lite-libs
> coolkey-devel   depends on coolkey
> 

Acceptable.

Are all these packages now in Core?
Comment 4 Bob Relyea 2006-06-14 16:08:35 EDT
Absolutely. I should have typed 'core' rather than Base to begin with...
I suspected pcsc-lite would be brought in automatically, which is why I listed
the dependencies.

Thanks!
Comment 5 Jesse Keating 2006-06-14 17:12:12 EDT
Bill, with Ville's approval, can we add this to Core?
Comment 6 Bill Nottingham 2006-06-14 17:35:53 EDT
SUre
Comment 7 Jesse Keating 2006-06-14 17:42:10 EDT
Approving for FC6, added to dist-fc6.
Comment 8 Jesse Keating 2006-06-26 13:08:09 EDT
Waiting for build into rawhide.
Comment 9 Jesse Keating 2006-07-17 15:27:37 EDT
Built into rawhide.

Note You need to log in before you can comment on or make changes to this bug.